Data Fields

# NewsSettings Struct Reference

Settings related to news. More...

`#include <settings_type.h>`

## Data Fields
uint8 | arrival_player
| NewsDisplay of vehicles arriving at new stations of current player.
uint8 | arrival_other
| NewsDisplay of vehicles arriving at new stations of other players.
uint8 | accident
| NewsDisplay of accidents that occur.
uint8 | company_info
| NewsDisplay of general company information.
uint8 | open
| NewsDisplay on new industry constructions.
uint8 | close
| NewsDisplay about closing industries.
uint8 | economy
| NewsDisplay on economical changes.
uint8 | production_player
| NewsDisplay of production changes of industries affecting current player.
uint8 | production_other
| NewsDisplay of production changes of industries affecting competitors.
uint8 | production_nobody
| NewsDisplay of production changes of industries affecting no one.
uint8 | advice
| NewsDisplay on advice affecting the player's vehicles.
uint8 | new_vehicles
| NewsDisplay of new vehicles becoming available.
uint8 | acceptance
| NewsDisplay on changes affecting the acceptance of cargo at stations.
uint8 | subsidies
| NewsDisplay of changes on subsidies.
uint8 | general
| NewsDisplay of other topics.

## Detailed Description

Settings related to news.

Definition at line 209 of file settings_type.h.

The documentation for this struct was generated from the following file:

- src/settings_type.h